#include "xgfxpixelshaderloaddef.h"

XGfxPixelShaderLoadDef::XGfxPixelShaderLoadDef()
    : XAsset()
    , mCachedPartPtr(0)
    , mCachedPart()
    , mPhysicalPartPtr(0)
    , mPhysicalPart()
    , mCachedPartSize(0)
    , mPhysicalPartSize(0)
{
    
}

XGfxPixelShaderLoadDef::~XGfxPixelShaderLoadDef()
{
    
}

void XGfxPixelShaderLoadDef::ParseData(QDataStream *aStream)
{
    
}

void XGfxPixelShaderLoadDef::Clear()
{
    mCachedPartPtr = 0;
    mCachedPart.clear();
    mPhysicalPartPtr = 0;
    mPhysicalPart.clear();
    mCachedPartSize = 0;
    mPhysicalPartSize = 0;
}
